Subject: [RFC] ARM: OMAP2+: omap_device: add pinctrl handling

From: [email-masked] (Tony Lindgren)
Date: Mon, 24 Jun 2013 23:58:11 -0700

* Linus Walleij <[email-masked]> [130624 05:13]:
> On Fri, Jun 21, 2013 at 5:03 PM, Grygorii Strashko
> <[email-masked]> wrote:
> 
> > Hence, add pinctrl handling in omap_device core:
> > 1) on PM runtime resume
> > - switch pinctrl state to "default" (todo: "active")
> > 2) on PM runtime suspend
> > - switch pinctrl state to "idle"
> > 3) during system wide suspend
> > - switch pinctrl state to "sleep" or "idle" if omap_device core disables device
> > - switch pinctrl state to "sleep" if device is disabled already

Do you need a separate setting for "idle" and "sleep", or are
they the same?

> > 4) during system wide resume
> > - switch pinctrl state to "default" (todo: "active") if omap_device core has
> >   disabled  device during suspend
> > - switch pinctrl state to "idle" if device was already disabled before suspend
> 
> I don't understand step 4.
> 
> I get the creeps about whether the system is runtime suspended
> or runtime resumed when we come to resume proper, so I need
> Kevin to have a look at this.
> 
> Apart from that it looks good.
> 
> Stephen and Tony are trying to figure out the details of whether "active"
> is necessary or not in a related thread I think.

Yes we should have that sorted out over next few weeks, so let's
just wait a little while on all these dynamic remuxing patches
to avoid churn.

Regards,

Tony